Skip to content

List channels

View as Markdown
get /api/channels

Retrieves the collection of Channel resources.

Returns a paginated collection of channels in the current organization. Set Flowkiwi-Locale to read the translatable name in a given locale.

Headers

NameTypeRequiredDescription
Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page
properties[]string[]-Allows you to reduce the response to contain only the properties you need. If your desired property is nested, you can address it using nested arrays. Example: properties[]={propertyName}&properties[]={anotherPropertyName}&properties[{nestedPropertyParent}][]={nestedProperty}
id[]string[]-Only the items with one of these ids, each a UUID or the item IRI.
statusstring-Channel status
status[]string[]-Channel status
namestring-Filter on the translated "name" field (case-insensitive partial match, uses the Flowkiwi-Locale header).
order[name]string-Order by translated field "name" (uses the Flowkiwi-Locale header)
productsCountinteger-Filter by the exact number of related "products".
productsCount[gte]integer-Filter by the number of related "products" (gte).
productsCount[gt]integer-Filter by the number of related "products" (gt).
productsCount[lte]integer-Filter by the number of related "products" (lte).
productsCount[lt]integer-Filter by the number of related "products" (lt).
order[createdAt]string-Channel order[createdAt]
order[updatedAt]string-Channel order[updatedAt]

Response

200 - Channel collection

PropertyTypeRequiredDescription
searchobject-
Show search fields
PropertyTypeRequiredDescription
@typestring-
mappingobject[]-
Show mapping fields
PropertyTypeRequiredDescription
@typestring-
propertystring | null-
requiredboolean-
variablestring-
templatestring-
variableRepresentationstring-
totalItemsinteger-
viewobject-
Show view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
firststring | null-
laststring | null-
nextstring | null-
previousstring | null-
memberChannel[]required
Show member fields
PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
createdAtstring-The date and time when the resource was created (ISO 8601 format).
idstring-The resource's unique identifier (UUID).
namestring | null-This property supports translations.

The display name of the channel.
productsstring[]-A list of Product IRIs published to the channel. Requires the products:read scope. Returned empty when the scope is missing.
status"/api/statuses/DRAFT" | "/api/statuses/ACTIVE" | "/api/statuses/ARCHIVED"-The status of the channel.
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).

Errors

403 - Access denied. The caller is missing one or more permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextstring | object-
@idstringrequired
@typestringrequired
detailstring-
missingPermissionsstring[]-Permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied permission.
statusinteger-
titlestring-
typestring-